/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */
export interface BabelSpecification {
    modules: 'cjs' | 'esm';
    targets: string | string[] | Record<string, string>;
    useBuiltIns?: 'usage' | 'entry' | false;
    corejs?: 2 | 3 | {
        version: number;
        proposals: boolean;
    };
    presets?: any[];
    plugins?: any[];
}
export declare function createBabelConfig({ modules, targets, corejs, useBuiltIns, presets, plugins, }: BabelSpecification): any;
