"use strict";
/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.createBabelConfig = void 0;
function createBabelConfig({ modules, targets, corejs = 3, useBuiltIns = 'usage', presets = [], plugins = [], }) {
    return {
        presets: [
            [
                require('@babel/preset-env'),
                {
                    modules: modules === 'cjs' ? 'cjs' : false,
                    targets,
                    useBuiltIns,
                    corejs,
                },
            ],
            ...presets,
        ],
        plugins: [
            require('@babel/plugin-proposal-class-properties'),
            require('@babel/plugin-proposal-object-rest-spread'),
            require('@babel/plugin-proposal-optional-chaining'),
            require('@babel/plugin-proposal-nullish-coalescing-operator'),
            ...plugins,
        ],
    };
}
exports.createBabelConfig = createBabelConfig;
